openni_wrapper::IRImage Class Reference

Class containing just a reference to IR meta data. More...

`#include <pcl/io/openni_camera/openni_ir_image.h>`

## Public Types

typedef boost::shared_ptr< IRImage > | Ptr
typedef boost::shared_ptr< const IRImage > | ConstPtr

## Public Member Functions

| IRImage (boost::shared_ptr< xn::IRMetaData > ir_meta_data) throw ()
virtual | ~IRImage () throw ()
void | fillRaw (unsigned width, unsigned height, unsigned short *ir_buffer, unsigned line_step=0) const
unsigned | getWidth () const throw ()
unsigned | getHeight () const throw ()
unsigned | getFrameID () const throw ()
unsigned long | getTimeStamp () const throw ()
const xn::IRMetaData & | getMetaData () const throw ()

## Protected Attributes

boost::shared_ptr< xn::IRMetaData > | ir_md_

## Detailed Description

Class containing just a reference to IR meta data.

Author
  Patrick Mihelich mihel.nosp@m.ich@.nosp@m.willo.nosp@m.wgar.nosp@m.age.c.nosp@m.om, Suat Gedikli gedik.nosp@m.li@w.nosp@m.illow.nosp@m.gara.nosp@m.ge.co.nosp@m.m

Definition at line 51 of file openni_ir_image.h.

## Member Typedef Documentation

typedef boost::shared_ptr<const IRImage> openni_wrapper::IRImage::ConstPtr

Definition at line 55 of file openni_ir_image.h.

typedef boost::shared_ptr<IRImage> openni_wrapper::IRImage::Ptr

Definition at line 54 of file openni_ir_image.h.

## Constructor & Destructor Documentation

openni_wrapper::IRImage::IRImage | ( | boost::shared_ptr< xn::IRMetaData > | ir_meta_data | ) |
throw | ( |
| ) |  |

inline

Definition at line 72 of file openni_ir_image.h.

openni_wrapper::IRImage::~IRImage | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 77 of file openni_ir_image.h.

## Member Function Documentation

void openni_wrapper::IRImage::fillRaw | ( | unsigned | width,
|  | unsigned | height,
|  | unsigned short * | ir_buffer,
|  | unsigned | line_step = `0`
| ) |  | const

unsigned openni_wrapper::IRImage::getFrameID | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 91 of file openni_ir_image.h.

unsigned openni_wrapper::IRImage::getHeight | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 86 of file openni_ir_image.h.

const xn::IRMetaData & openni_wrapper::IRImage::getMetaData | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 101 of file openni_ir_image.h.

unsigned long openni_wrapper::IRImage::getTimeStamp | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 96 of file openni_ir_image.h.

unsigned openni_wrapper::IRImage::getWidth | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 81 of file openni_ir_image.h.

## Member Data Documentation

boost::shared_ptr<xn::IRMetaData> openni_wrapper::IRImage::ir_md_

protected

Definition at line 69 of file openni_ir_image.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/openni_camera/openni_ir_image.h